package com.yeejoin.amos.fas.business.param;

import com.yeejoin.amos.fas.core.common.request.CommonPageable;

public class CommonPageInfoParam extends CommonPageable {
	
	/**
	 * id
	 */
	private Long id;
	/**
	 * 名称
	 */
	private String name;
	
	/**
	 * 装备类型
	 */
	private String equipType;
	
	/**
	 * 编号
	 */
	private String code;
	
	/**
	 * 生产区域
	 */
	private String productArea;
	
	/**
	 * 保护对象
	 */
	private String protectObj;
	
	/**
	 * 装备分类
	 */
	private Long equipClassify;
	/**
	 * 开始时间
	 */
	private String beginDate;
	
	/**
	 * 结束时间
	 */
	private String endDate;
	
	/**
	 * 评价模型id
	 */
	private Long evalModelId;
	
	/**
	 * 风险点ID
	 */
	private Long riskSourceId;
	
	private String orgCode;
	
	public String getEquipType() {
		return equipType;
	}

	public void setEquipType(String equipType) {
		this.equipType = equipType;
	}
	
	

	public String getProductArea() {
		return productArea;
	}

	public void setProductArea(String productArea) {
		this.productArea = productArea;
	}

	public String getProtectObj() {
		return protectObj;
	}

	public void setProtectObj(String protectObj) {
		this.protectObj = protectObj;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getEvalModelId() {
		return evalModelId;
	}

	public void setEvalModelId(Long evalModelId) {
		this.evalModelId = evalModelId;
	}

	public Long getEquipClassify() {
		return equipClassify;
	}

	public void setEquipClassify(Long equipClassify) {
		this.equipClassify = equipClassify;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Long getRiskSourceId() {
		return riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	/**
	 * @return the orgCode
	 */
	public String getOrgCode() {
		return orgCode;
	}

	/**
	 * @param orgCode the orgCode to set
	 */
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
}
